%include /usr/lib/rpm/macros.mono
Summary:	Mono ASP.NET Standalone Web Server
Summary(pl.UTF-8):	Serwer HTTP obsługujący ASP.NET
Name:		xsp
Version:	4.2
Release:	1
Epoch:		1
License:	MIT X11
Group:		Networking/Daemons/HTTP
Source0:	http://download.mono-project.com/sources/xsp/%{name}-%{version}.tar.gz
# Source0-md5:	45a4593b28660a697c9148f2ac6b281d
URL:		http://www.mono-project.com/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	mono-csharp >= 4.0
BuildRequires:	pkgconfig
Requires:	mono-csharp >= 4.0
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XSP provides a minimalistic web server which hosts the ASP.NET runtime
and can be used to test and debug web applications that use the
System.Web facilities in Mono.

%description -l pl.UTF-8
XSP to minimalistyczny serwer HTTP utrzymujący aplikacje i strony
ASP.NET, który może być też używany do testów i śledzenia błędów
aplikacji używających klasy System.Web dostarczanej z pakietem Mono.

%package devel
Summary:	Development files for XSP
Summary(pl.UTF-8):	Pliki programistyczne XSP
Group:		Development
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	monodoc

%description devel
Development files for XSP.

%description devel -l pl.UTF-8
Pliki programistyczne XSP.

%package debug
Summary:	xsp libraries debugging resources
Summary(pl.UTF-8):	Pliki umożliwiające debugowanie bibliotek xsp
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description debug
xsp libraries debugging resources.

%description debug -l pl.UTF-8
Pliki umożliwiające debugowanie bibliotek xsp.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I build/m4/shamrock -I build/m4/shave
%{__autoconf}
%{__automake}

%configure \
	--disable-static
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libfpm_helper.la
# 2.0 profile is no longer supported
%{__rm} $RPM_BUILD_ROOT%{_bindir}/{asp-state2,dbsessmgr2,fastcgi-mono-server2,mod-mono-server2,xsp2} \
	$RPM_BUILD_ROOT%{_pkgconfigdir}/xsp-2.pc
# switch default scripts to 4.0 profile
for f in asp-state dbsessmgr fastcgi-mono-server mod-mono-server xsp ; do
	ln -sf ${f}4 $RPM_BUILD_ROOT%{_bindir}/$f
done

install -d $RPM_BUILD_ROOT{%{_sysconfdir}/httpd/httpd.conf,%{_examplesdir}/%{name}-%{version}}

%{__mv} $RPM_BUILD_ROOT%{_libdir}/%{name}/test $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README 
%attr(755,root,root) %{_bindir}/asp-state
%attr(755,root,root) %{_bindir}/asp-state4
%attr(755,root,root) %{_bindir}/dbsessmgr
%attr(755,root,root) %{_bindir}/dbsessmgr4
%attr(755,root,root) %{_bindir}/fastcgi-mono-server
%attr(755,root,root) %{_bindir}/fastcgi-mono-server4
%attr(755,root,root) %{_bindir}/mod-mono-server
%attr(755,root,root) %{_bindir}/mod-mono-server4
%attr(755,root,root) %{_bindir}/mono-fpm
%attr(755,root,root) %{_bindir}/shim
%attr(755,root,root) %{_bindir}/xsp
%attr(755,root,root) %{_bindir}/xsp4
%attr(755,root,root) %{_libdir}/libfpm_helper.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfpm_helper.so.0
%{_libdir}/%{name}
%{_prefix}/lib/mono/4.5/fastcgi-mono-server4.exe
%{_prefix}/lib/mono/4.5/mod-mono-server4.exe
%{_prefix}/lib/mono/4.5/mono-fpm.exe
%{_prefix}/lib/mono/4.5/xsp4.exe
%{_prefix}/lib/mono/gac/Mono.WebServer2
%{_prefix}/lib/mono/gac/fastcgi-mono-server4
%{_prefix}/lib/mono/gac/mod-mono-server4
%{_prefix}/lib/mono/gac/mono-fpm
%{_prefix}/lib/mono/gac/xsp4
%exclude %{_prefix}/lib/mono/gac/*/*/*.mdb
%{_mandir}/man1/asp-state.1*
%{_mandir}/man1/dbsessmgr.1*
%{_mandir}/man1/fastcgi-mono-server.1*
%{_mandir}/man1/mod-mono-server.1*
%{_mandir}/man1/xsp.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfpm_helper.so
%{_prefix}/lib/mono/4.5/Mono.WebServer2.dll
%{_prefix}/lib/monodoc/sources/Mono.FastCGI.*
%{_prefix}/lib/monodoc/sources/Mono.WebServer.*
%{_pkgconfigdir}/xsp-4.pc
%{_examplesdir}/%{name}-%{version}

%files debug
%defattr(644,root,root,755)
%{_prefix}/lib/mono/gac/*/*/*.mdb
%changelog
* Thu Jan 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xsp.git;a=log;h=master

* Fri Jan 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 243bb40
- updated to 4.2

* Fri Apr 29 2011 Jakub Bogusz <qboosh@pld-linux.org> 6511301
- updated to 2.10.2

* Mon Feb 21 2011 Jakub Bogusz <qboosh@pld-linux.org> f86c66c
- updated to 2.10

* Wed Jan 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 42fcec3
- updated to 2.8.2

* Wed Dec 01 2010 Jakub Bogusz <qboosh@pld-linux.org> b1d1672
- updated to 2.8.1

* Tue Oct 19 2010 Jakub Bogusz <qboosh@pld-linux.org> 0f308a5
- updated to 2.8
- separated -devel

* Sun Sep 26 2010 Jakub Bogusz <qboosh@pld-linux.org> 7ac0dea
- updated to 2.6.5

* Wed Feb 24 2010 vip <vip@pld-linux.org> 37fc123
- up to 2.6

* Sat Jul 04 2009 marcus <marcus@pld-linux.org> 553e52e
- starting upgrade 2.4.2

* Mon Apr 13 2009 vip <vip@pld-linux.org> 9fa6a39
- up to 2.4

* Thu Jan 22 2009 duddits <duddits@pld-linux.org> e0a0a25
- up to 2.2

* Sat Oct 25 2008 Paweł Gołaszewski <blues@pld-linux.org> 074eda2
- HTTP group

* Fri Oct 17 2008 Michał Łukaszek <mlukaszek+pld@gmail.com> b0abd80
- updated to 2.0

* Wed Jun 18 2008 Jakub Bogusz <qboosh@pld-linux.org> 3630623
- updated to 1.9.1

* Sat Dec 15 2007 Jakub Bogusz <qboosh@pld-linux.org> 470bc5d
- updated to 1.2.6
- License is MIT

* Sat Nov 10 2007 wolf <wolf@pld-linux.org> 2a9fa3e
- 1.2.5

* Wed May 16 2007 deejay1 <deejay1@pld-linux.org> e6db4e9
- up to 1.2.4

* Thu Mar 08 2007 qrczak <qrczak@pld-linux.org> cb8a279
- Added epoch in requirements.

* Sat Feb 17 2007 Jakub Bogusz <qboosh@pld-linux.org> 258fa5f
- mono is supported on alpha,sparc* now

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a74f4d2
- tabs in preamble

